from Tkinter import *
from sys import *
import serial
from time import sleep

radice = Tk()

ser = serial.Serial(
    port='COM1', 
    baudrate=115200, 
    timeout=1,
    parity=serial.PARITY_NONE,
    stopbits=serial.STOPBITS_ONE,
    bytesize=serial.EIGHTBITS
)

class MiaApp:
    def __init__(self, genitore):
        self.mioGenitore = genitore
        self.mioContenitore1 = Frame(genitore)
        self.mioContenitore1.pack(padx = "90m", pady = "50m",)
                             
        self.pulsante1 = Button(self.mioContenitore1)
        self.pulsante1.configure(text = "Collegamento", background = "red")
        self.pulsante1.configure(
            width = 15,
            height = 5,
            )
        self.pulsante1.pack()
        self.pulsante1.bind("<Button-1>", self.pulsante1Premuto)
        
        self.label = Label(self.mioContenitore1, text="TARA = 0")
        self.label.configure(
            width = 15,
            height = 5,
            )
        self.label.pack()

        self.label2 = Label(self.mioContenitore1)
        self.label2.configure(text = "ATTUALE = 0")
        self.label2.configure(
            width = 15,
            height = 5,
            )
        self.label2.pack()
        
        self.pulsante2 = Button(self.mioContenitore1)
        self.pulsante2.configure(text = "Exit", background = "yellow")
        self.pulsante2.configure(
            width = 15,
            height = 5,
            )
        self.pulsante2.pack()
        self.pulsante2.bind("<Button-1>", self.pulsante2Premuto)

    def pulsante1Premuto(self, evento):
        if self.pulsante1["background"] == "green":
            self.pulsante1["background"] = "red"
        else:
            self.pulsante1["background"] = "green"
                    
        while self.pulsante1["background"] == "green":
           var=ser.read(12)
            
            if len(var)>1:
                self.label2.configure(text=var)

            print var
            #sleep(0.5)
            
    def pulsante2Premuto(self, evento):
        ser.close()
        self.mioGenitore.destroy()

        
        
miaApp = MiaApp(radice)
radice.mainloop()

